%define debug_package %{nil}

# https://github.com/eycorsican/go-tun2socks
%global goipath         github.com/eycorsican/go-tun2socks
Version:                1.16.11

%if 0%{?rhel} > 7 || 0%{?fedora}
%gometa
%endif

%global common_description %{expand:
A tun2socks implementation written in Go.}

%global golicenses      LICENSE
%global godocs          README.md tun/README.md

Name:           go-tun2socks
Release:        1%{?dist}
Summary:        A tun2socks implementation written in Go

License:        MIT

%if 0%{?rhel} == 7
URL:            https://github.com/eycorsican/go-tun2socks
Source0:        https://github.com/eycorsican/go-tun2socks/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
%else
URL:            %{gourl}
Source0:        %{gosource}
%endif

BuildRequires:  git golang

%description
%{common_description}

%prep
%setup -qn %{name}-%{version}

%build
make build

%install
install -m 0755 -vd         %{buildroot}%{_bindir}
install -m 0755 -vp build/* %{buildroot}%{_bindir}

%files
%license LICENSE
%doc README.md tun/README.md
%{_bindir}/*

%changelog
* Sun Aug  9 2020 Alex <redhat@att.org.ru> - 1.16.11-1
- 1.16.11

* Fri Jan 24 2020 Alex <redhat@att.org.ru> - 1.16.9-1
- 1.16.9

* Fri Jan 24 2020 Alex <redhat@att.org.ru> - 1.16.8-1
- Initial package

